published on Wednesday, Mar 4, 2026 by Pulumi
published on Wednesday, Mar 4, 2026 by Pulumi
# f5bigip.GtmWideip Resource
Provides a BIG-IP GTM (Global Traffic Manager) WideIP resource. This resource allows you to configure and manage GTM WideIP objects on a BIG-IP system.
Description
A WideIP is a DNS name that GTM resolves on behalf of an authoritative DNS server. WideIPs are the core objects in GTM that enable intelligent DNS-based load balancing and failover across multiple data centers.
GTM WideIP types correspond to different DNS record types:
- a: IPv4 address records
- aaaa: IPv6 address records
- cname: Canonical name records
- mx: Mail exchange records
- naptr: Naming authority pointer records
- srv: Service locator records
Example Usage
Basic WideIP
import * as pulumi from "@pulumi/pulumi";
import * as f5bigip from "@pulumi/f5bigip";
const example = new f5bigip.GtmWideip("example", {
name: "testwideip.local",
type: "a",
partition: "Common",
description: "test_wideip_a",
});
import pulumi
import pulumi_f5bigip as f5bigip
example = f5bigip.GtmWideip("example",
name="testwideip.local",
type="a",
partition="Common",
description="test_wideip_a")
package main
import (
"github.com/pulumi/pulumi-f5bigip/sdk/v3/go/f5bigip"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := f5bigip.NewGtmWideip(ctx, "example", &f5bigip.GtmWideipArgs{
Name: pulumi.String("testwideip.local"),
Type: pulumi.String("a"),
Partition: pulumi.String("Common"),
Description: pulumi.String("test_wideip_a"),
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using F5BigIP = Pulumi.F5BigIP;
return await Deployment.RunAsync(() =>
{
var example = new F5BigIP.GtmWideip("example", new()
{
Name = "testwideip.local",
Type = "a",
Partition = "Common",
Description = "test_wideip_a",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.f5bigip.GtmWideip;
import com.pulumi.f5bigip.GtmWideipArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var example = new GtmWideip("example", GtmWideipArgs.builder()
.name("testwideip.local")
.type("a")
.partition("Common")
.description("test_wideip_a")
.build());
}
}
resources:
example:
type: f5bigip:GtmWideip
properties:
name: testwideip.local
type: a
partition: Common
description: test_wideip_a
WideIP with Last Resort Pool
import * as pulumi from "@pulumi/pulumi";
import * as f5bigip from "@pulumi/f5bigip";
const withPool = new f5bigip.GtmWideip("with_pool", {
name: "app.example.com",
type: "a",
partition: "Common",
description: "Application WideIP",
lastResortPool: "a /Common/firstpool",
poolLbMode: "round-robin",
minimalResponse: "enabled",
});
import pulumi
import pulumi_f5bigip as f5bigip
with_pool = f5bigip.GtmWideip("with_pool",
name="app.example.com",
type="a",
partition="Common",
description="Application WideIP",
last_resort_pool="a /Common/firstpool",
pool_lb_mode="round-robin",
minimal_response="enabled")
package main
import (
"github.com/pulumi/pulumi-f5bigip/sdk/v3/go/f5bigip"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := f5bigip.NewGtmWideip(ctx, "with_pool", &f5bigip.GtmWideipArgs{
Name: pulumi.String("app.example.com"),
Type: pulumi.String("a"),
Partition: pulumi.String("Common"),
Description: pulumi.String("Application WideIP"),
LastResortPool: pulumi.String("a /Common/firstpool"),
PoolLbMode: pulumi.String("round-robin"),
MinimalResponse: pulumi.String("enabled"),
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using F5BigIP = Pulumi.F5BigIP;
return await Deployment.RunAsync(() =>
{
var withPool = new F5BigIP.GtmWideip("with_pool", new()
{
Name = "app.example.com",
Type = "a",
Partition = "Common",
Description = "Application WideIP",
LastResortPool = "a /Common/firstpool",
PoolLbMode = "round-robin",
MinimalResponse = "enabled",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.f5bigip.GtmWideip;
import com.pulumi.f5bigip.GtmWideipArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var withPool = new GtmWideip("withPool", GtmWideipArgs.builder()
.name("app.example.com")
.type("a")
.partition("Common")
.description("Application WideIP")
.lastResortPool("a /Common/firstpool")
.poolLbMode("round-robin")
.minimalResponse("enabled")
.build());
}
}
resources:
withPool:
type: f5bigip:GtmWideip
name: with_pool
properties:
name: app.example.com
type: a
partition: Common
description: Application WideIP
lastResortPool: a /Common/firstpool
poolLbMode: round-robin
minimalResponse: enabled
Advanced WideIP Configuration
import * as pulumi from "@pulumi/pulumi";
import * as f5bigip from "@pulumi/f5bigip";
const advanced = new f5bigip.GtmWideip("advanced", {
name: "advanced.example.com",
type: "a",
partition: "Common",
description: "Advanced WideIP configuration",
enabled: true,
failureRcode: "servfail",
failureRcodeResponse: "enabled",
failureRcodeTtl: 300,
lastResortPool: "a /Common/backup_pool",
minimalResponse: "disabled",
persistCidrIpv4: 24,
persistCidrIpv6: 64,
persistence: "enabled",
poolLbMode: "topology",
ttlPersistence: 7200,
topologyPreferEdns0ClientSubnet: "enabled",
loadBalancingDecisionLogVerbosities: [
"pool-selection",
"pool-member-selection",
],
aliases: [
"app1.example.com",
"app2.example.com",
],
});
import pulumi
import pulumi_f5bigip as f5bigip
advanced = f5bigip.GtmWideip("advanced",
name="advanced.example.com",
type="a",
partition="Common",
description="Advanced WideIP configuration",
enabled=True,
failure_rcode="servfail",
failure_rcode_response="enabled",
failure_rcode_ttl=300,
last_resort_pool="a /Common/backup_pool",
minimal_response="disabled",
persist_cidr_ipv4=24,
persist_cidr_ipv6=64,
persistence="enabled",
pool_lb_mode="topology",
ttl_persistence=7200,
topology_prefer_edns0_client_subnet="enabled",
load_balancing_decision_log_verbosities=[
"pool-selection",
"pool-member-selection",
],
aliases=[
"app1.example.com",
"app2.example.com",
])
package main
import (
"github.com/pulumi/pulumi-f5bigip/sdk/v3/go/f5bigip"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := f5bigip.NewGtmWideip(ctx, "advanced", &f5bigip.GtmWideipArgs{
Name: pulumi.String("advanced.example.com"),
Type: pulumi.String("a"),
Partition: pulumi.String("Common"),
Description: pulumi.String("Advanced WideIP configuration"),
Enabled: pulumi.Bool(true),
FailureRcode: pulumi.String("servfail"),
FailureRcodeResponse: pulumi.String("enabled"),
FailureRcodeTtl: pulumi.Int(300),
LastResortPool: pulumi.String("a /Common/backup_pool"),
MinimalResponse: pulumi.String("disabled"),
PersistCidrIpv4: pulumi.Int(24),
PersistCidrIpv6: pulumi.Int(64),
Persistence: pulumi.String("enabled"),
PoolLbMode: pulumi.String("topology"),
TtlPersistence: pulumi.Int(7200),
TopologyPreferEdns0ClientSubnet: pulumi.String("enabled"),
LoadBalancingDecisionLogVerbosities: pulumi.StringArray{
pulumi.String("pool-selection"),
pulumi.String("pool-member-selection"),
},
Aliases: pulumi.StringArray{
pulumi.String("app1.example.com"),
pulumi.String("app2.example.com"),
},
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using F5BigIP = Pulumi.F5BigIP;
return await Deployment.RunAsync(() =>
{
var advanced = new F5BigIP.GtmWideip("advanced", new()
{
Name = "advanced.example.com",
Type = "a",
Partition = "Common",
Description = "Advanced WideIP configuration",
Enabled = true,
FailureRcode = "servfail",
FailureRcodeResponse = "enabled",
FailureRcodeTtl = 300,
LastResortPool = "a /Common/backup_pool",
MinimalResponse = "disabled",
PersistCidrIpv4 = 24,
PersistCidrIpv6 = 64,
Persistence = "enabled",
PoolLbMode = "topology",
TtlPersistence = 7200,
TopologyPreferEdns0ClientSubnet = "enabled",
LoadBalancingDecisionLogVerbosities = new[]
{
"pool-selection",
"pool-member-selection",
},
Aliases = new[]
{
"app1.example.com",
"app2.example.com",
},
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.f5bigip.GtmWideip;
import com.pulumi.f5bigip.GtmWideipArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var advanced = new GtmWideip("advanced", GtmWideipArgs.builder()
.name("advanced.example.com")
.type("a")
.partition("Common")
.description("Advanced WideIP configuration")
.enabled(true)
.failureRcode("servfail")
.failureRcodeResponse("enabled")
.failureRcodeTtl(300)
.lastResortPool("a /Common/backup_pool")
.minimalResponse("disabled")
.persistCidrIpv4(24)
.persistCidrIpv6(64)
.persistence("enabled")
.poolLbMode("topology")
.ttlPersistence(7200)
.topologyPreferEdns0ClientSubnet("enabled")
.loadBalancingDecisionLogVerbosities(
"pool-selection",
"pool-member-selection")
.aliases(
"app1.example.com",
"app2.example.com")
.build());
}
}
resources:
advanced:
type: f5bigip:GtmWideip
properties:
name: advanced.example.com
type: a
partition: Common
description: Advanced WideIP configuration
enabled: true
failureRcode: servfail
failureRcodeResponse: enabled
failureRcodeTtl: 300
lastResortPool: a /Common/backup_pool
minimalResponse: disabled
persistCidrIpv4: 24
persistCidrIpv6: 64
persistence: enabled
poolLbMode: topology
ttlPersistence: 7200
topologyPreferEdns0ClientSubnet: enabled
loadBalancingDecisionLogVerbosities:
- pool-selection
- pool-member-selection
aliases:
- app1.example.com
- app2.example.com
IPv6 WideIP
import * as pulumi from "@pulumi/pulumi";
import * as f5bigip from "@pulumi/f5bigip";
const ipv6 = new f5bigip.GtmWideip("ipv6", {
name: "ipv6.example.com",
type: "aaaa",
partition: "Common",
description: "IPv6 WideIP",
enabled: true,
poolLbMode: "round-robin",
});
import pulumi
import pulumi_f5bigip as f5bigip
ipv6 = f5bigip.GtmWideip("ipv6",
name="ipv6.example.com",
type="aaaa",
partition="Common",
description="IPv6 WideIP",
enabled=True,
pool_lb_mode="round-robin")
package main
import (
"github.com/pulumi/pulumi-f5bigip/sdk/v3/go/f5bigip"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := f5bigip.NewGtmWideip(ctx, "ipv6", &f5bigip.GtmWideipArgs{
Name: pulumi.String("ipv6.example.com"),
Type: pulumi.String("aaaa"),
Partition: pulumi.String("Common"),
Description: pulumi.String("IPv6 WideIP"),
Enabled: pulumi.Bool(true),
PoolLbMode: pulumi.String("round-robin"),
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using F5BigIP = Pulumi.F5BigIP;
return await Deployment.RunAsync(() =>
{
var ipv6 = new F5BigIP.GtmWideip("ipv6", new()
{
Name = "ipv6.example.com",
Type = "aaaa",
Partition = "Common",
Description = "IPv6 WideIP",
Enabled = true,
PoolLbMode = "round-robin",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.f5bigip.GtmWideip;
import com.pulumi.f5bigip.GtmWideipArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var ipv6 = new GtmWideip("ipv6", GtmWideipArgs.builder()
.name("ipv6.example.com")
.type("aaaa")
.partition("Common")
.description("IPv6 WideIP")
.enabled(true)
.poolLbMode("round-robin")
.build());
}
}
resources:
ipv6:
type: f5bigip:GtmWideip
properties:
name: ipv6.example.com
type: aaaa
partition: Common
description: IPv6 WideIP
enabled: true
poolLbMode: round-robin
Notes
Pool Load Balancing Modes
The pool_lb_mode determines how GTM distributes DNS queries across pools:
- round-robin: Distributes queries equally across all available pools
- ratio: Distributes queries based on pool ratios
- topology: Uses topology records to determine the best pool
- global-availability: Considers pool availability and load
- virtual-server-capacity: Based on virtual server capacity
- least-connections: Selects pool with fewest active connections
- lowest-round-trip-time: Selects pool with lowest RTT
- fewest-hops: Selects pool with fewest network hops
- packet-rate: Based on packet transmission rate
- cpu: Based on CPU utilization
- completion-rate: Based on connection completion rate
- quality-of-service: Based on QoS metrics
- kilobytes-per-second: Based on throughput
- drop-packet: Drops DNS packets (used for testing)
- fallback-ip: Returns a fallback IP address
- virtual-server-score: Based on virtual server scores
Last Resort Pool Format
The last_resort_pool must be specified in the format: <type> <partition>/<pool_name>
Examples:
a /Common/firstpool- IPv4 poolaaaa /Common/ipv6pool- IPv6 poolcname /Prod/alias_pool- CNAME pool
Persistence
When persistence is enabled:
- GTM maintains a mapping of client IP addresses to pool members
- Subsequent requests from the same client are directed to the same destination
- The
persist_cidr_ipv4andpersist_cidr_ipv6settings determine the subnet mask used for grouping client IPs - Persistence records expire after
ttl_persistenceseconds
Failure RCODE Response
When a WideIP becomes unavailable (all pools are down):
- If
failure_rcode_responseisdisabled: GTM returns no answer (NXDOMAIN) - If
failure_rcode_responseisenabled: GTM returns the specifiedfailure_rcode
Common RCODE values:
- noerror: No error (returns empty response)
- servfail: Server failure
- nxdomain: Non-existent domain
- refused: Query refused
Aliases
Aliases allow you to specify alternate domain names for the same WideIP configuration. When a DNS query is made for any of the aliases, it is handled by the same WideIP configuration.
Example:
import * as pulumi from "@pulumi/pulumi";
import * as f5bigip from "@pulumi/f5bigip";
const app = new f5bigip.GtmWideip("app", {
name: "app.example.com",
type: "a",
aliases: [
"app-alias1.example.com",
"app-alias2.example.com",
"app.backup.example.com",
],
});
import pulumi
import pulumi_f5bigip as f5bigip
app = f5bigip.GtmWideip("app",
name="app.example.com",
type="a",
aliases=[
"app-alias1.example.com",
"app-alias2.example.com",
"app.backup.example.com",
])
package main
import (
"github.com/pulumi/pulumi-f5bigip/sdk/v3/go/f5bigip"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := f5bigip.NewGtmWideip(ctx, "app", &f5bigip.GtmWideipArgs{
Name: pulumi.String("app.example.com"),
Type: pulumi.String("a"),
Aliases: pulumi.StringArray{
pulumi.String("app-alias1.example.com"),
pulumi.String("app-alias2.example.com"),
pulumi.String("app.backup.example.com"),
},
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using F5BigIP = Pulumi.F5BigIP;
return await Deployment.RunAsync(() =>
{
var app = new F5BigIP.GtmWideip("app", new()
{
Name = "app.example.com",
Type = "a",
Aliases = new[]
{
"app-alias1.example.com",
"app-alias2.example.com",
"app.backup.example.com",
},
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.f5bigip.GtmWideip;
import com.pulumi.f5bigip.GtmWideipArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var app = new GtmWideip("app", GtmWideipArgs.builder()
.name("app.example.com")
.type("a")
.aliases(
"app-alias1.example.com",
"app-alias2.example.com",
"app.backup.example.com")
.build());
}
}
resources:
app:
type: f5bigip:GtmWideip
properties:
name: app.example.com
type: a
aliases:
- app-alias1.example.com
- app-alias2.example.com
- app.backup.example.com
In this example, DNS queries for app.example.com, app-alias1.example.com, app-alias2.example.com, or app.backup.example.com will all be handled by the same WideIP configuration.
API Endpoints
This resource interacts with the following BIG-IP API endpoints:
GET /mgmt/tm/gtm/wideip/<type>/<name>- Read WideIP configurationPOST /mgmt/tm/gtm/wideip/<type>- Create WideIPPUT /mgmt/tm/gtm/wideip/<type>/<name>- Update WideIP configurationDELETE /mgmt/tm/gtm/wideip/<type>/<name>- Delete WideIP
Related Resources
f5bigip.GtmPool- Manages GTM pools that can be referenced by WideIPsf5bigip.GtmServer- Manages GTM servers that contain virtual serversf5bigip.GtmDatacenter- Manages GTM data centersbigip_gtm_topology- Manages topology records for topology-based load balancing
Create GtmWideip Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new GtmWideip(name: string, args: GtmWideipArgs, opts?: CustomResourceOptions);@overload
def GtmWideip(resource_name: str,
args: GtmWideipArgs,
opts: Optional[ResourceOptions] = None)
@overload
def GtmWideip(resource_name: str,
opts: Optional[ResourceOptions] = None,
name: Optional[str] = None,
type: Optional[str] = None,
load_balancing_decision_log_verbosities: Optional[Sequence[str]] = None,
partition: Optional[str] = None,
failure_rcode: Optional[str] = None,
failure_rcode_response: Optional[str] = None,
failure_rcode_ttl: Optional[int] = None,
last_resort_pool: Optional[str] = None,
aliases: Optional[Sequence[str]] = None,
minimal_response: Optional[str] = None,
disabled: Optional[bool] = None,
enabled: Optional[bool] = None,
persist_cidr_ipv4: Optional[int] = None,
persist_cidr_ipv6: Optional[int] = None,
persistence: Optional[str] = None,
pool_lb_mode: Optional[str] = None,
topology_prefer_edns0_client_subnet: Optional[str] = None,
ttl_persistence: Optional[int] = None,
description: Optional[str] = None)func NewGtmWideip(ctx *Context, name string, args GtmWideipArgs, opts ...ResourceOption) (*GtmWideip, error)public GtmWideip(string name, GtmWideipArgs args, CustomResourceOptions? opts = null)
public GtmWideip(String name, GtmWideipArgs args)
public GtmWideip(String name, GtmWideipArgs args, CustomResourceOptions options)
type: f5bigip:GtmWideip
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args GtmWideipArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args GtmWideipArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args GtmWideipArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args GtmWideipArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args GtmWideipArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var gtmWideipResource = new F5BigIP.GtmWideip("gtmWideipResource", new()
{
Name = "string",
Type = "string",
LoadBalancingDecisionLogVerbosities = new[]
{
"string",
},
Partition = "string",
FailureRcode = "string",
FailureRcodeResponse = "string",
FailureRcodeTtl = 0,
LastResortPool = "string",
Aliases = new[]
{
"string",
},
MinimalResponse = "string",
Disabled = false,
Enabled = false,
PersistCidrIpv4 = 0,
PersistCidrIpv6 = 0,
Persistence = "string",
PoolLbMode = "string",
TopologyPreferEdns0ClientSubnet = "string",
TtlPersistence = 0,
Description = "string",
});
example, err := f5bigip.NewGtmWideip(ctx, "gtmWideipResource", &f5bigip.GtmWideipArgs{
Name: pulumi.String("string"),
Type: pulumi.String("string"),
LoadBalancingDecisionLogVerbosities: pulumi.StringArray{
pulumi.String("string"),
},
Partition: pulumi.String("string"),
FailureRcode: pulumi.String("string"),
FailureRcodeResponse: pulumi.String("string"),
FailureRcodeTtl: pulumi.Int(0),
LastResortPool: pulumi.String("string"),
Aliases: pulumi.StringArray{
pulumi.String("string"),
},
MinimalResponse: pulumi.String("string"),
Disabled: pulumi.Bool(false),
Enabled: pulumi.Bool(false),
PersistCidrIpv4: pulumi.Int(0),
PersistCidrIpv6: pulumi.Int(0),
Persistence: pulumi.String("string"),
PoolLbMode: pulumi.String("string"),
TopologyPreferEdns0ClientSubnet: pulumi.String("string"),
TtlPersistence: pulumi.Int(0),
Description: pulumi.String("string"),
})
var gtmWideipResource = new GtmWideip("gtmWideipResource", GtmWideipArgs.builder()
.name("string")
.type("string")
.loadBalancingDecisionLogVerbosities("string")
.partition("string")
.failureRcode("string")
.failureRcodeResponse("string")
.failureRcodeTtl(0)
.lastResortPool("string")
.aliases("string")
.minimalResponse("string")
.disabled(false)
.enabled(false)
.persistCidrIpv4(0)
.persistCidrIpv6(0)
.persistence("string")
.poolLbMode("string")
.topologyPreferEdns0ClientSubnet("string")
.ttlPersistence(0)
.description("string")
.build());
gtm_wideip_resource = f5bigip.GtmWideip("gtmWideipResource",
name="string",
type="string",
load_balancing_decision_log_verbosities=["string"],
partition="string",
failure_rcode="string",
failure_rcode_response="string",
failure_rcode_ttl=0,
last_resort_pool="string",
aliases=["string"],
minimal_response="string",
disabled=False,
enabled=False,
persist_cidr_ipv4=0,
persist_cidr_ipv6=0,
persistence="string",
pool_lb_mode="string",
topology_prefer_edns0_client_subnet="string",
ttl_persistence=0,
description="string")
const gtmWideipResource = new f5bigip.GtmWideip("gtmWideipResource", {
name: "string",
type: "string",
loadBalancingDecisionLogVerbosities: ["string"],
partition: "string",
failureRcode: "string",
failureRcodeResponse: "string",
failureRcodeTtl: 0,
lastResortPool: "string",
aliases: ["string"],
minimalResponse: "string",
disabled: false,
enabled: false,
persistCidrIpv4: 0,
persistCidrIpv6: 0,
persistence: "string",
poolLbMode: "string",
topologyPreferEdns0ClientSubnet: "string",
ttlPersistence: 0,
description: "string",
});
type: f5bigip:GtmWideip
properties:
aliases:
- string
description: string
disabled: false
enabled: false
failureRcode: string
failureRcodeResponse: string
failureRcodeTtl: 0
lastResortPool: string
loadBalancingDecisionLogVerbosities:
- string
minimalResponse: string
name: string
partition: string
persistCidrIpv4: 0
persistCidrIpv6: 0
persistence: string
poolLbMode: string
topologyPreferEdns0ClientSubnet: string
ttlPersistence: 0
type: string
GtmWideip Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The GtmWideip resource accepts the following input properties:
- Name string
- Name of the WideIP. Example: testwideip.local
- Type string
- Specifies the type of WideIP (a, aaaa, cname, mx, naptr, srv)
- Aliases List<string>
- Specifies alternate domain names for the WideIP
- Description string
- User-defined description of the WideIP
- Disabled bool
- Disabled state of the WideIP
- Enabled bool
- Enable or disable the WideIP
- Failure
Rcode string - Specifies the DNS RCODE used when failure_rcode_response is enabled (noerror, formerr, servfail, nxdomain, notimp, refused, yxdomain, yxrrset, nxrrset, notauth, notzone)
- Failure
Rcode stringResponse - Specifies whether to return a RCODE response to DNS queries when the WideIP is unavailable (enabled or disabled)
- Failure
Rcode intTtl - Specifies the negative caching TTL of the SOA for the RCODE response
- Last
Resort stringPool - Specifies the last resort pool for the WideIP. Format: /<pool_name> (e.g., 'a /Common/firstpool')
- Load
Balancing List<string>Decision Log Verbosities - Specifies the amount of detail logged when making load balancing decisions. Example: ['pool-selection']
- Minimal
Response string - Specifies whether to minimize the response to the DNS query (enabled or disabled)
- Partition string
- Partition in which the WideIP resides
- Persist
Cidr intIpv4 - Specifies the CIDR for IPv4 persistence
- Persist
Cidr intIpv6 - Specifies the CIDR for IPv6 persistence
- Persistence string
- Specifies persistence for the WideIP (disabled or enabled)
- Pool
Lb stringMode - Specifies the load balancing mode for pools in the WideIP (round-robin, ratio, topology, global-availability)
- Topology
Prefer stringEdns0Client Subnet - Specifies whether to prefer EDNS0 client subnet data for topology-based load balancing (enabled or disabled)
- Ttl
Persistence int - Specifies the TTL for the persistence of the WideIP
- Name string
- Name of the WideIP. Example: testwideip.local
- Type string
- Specifies the type of WideIP (a, aaaa, cname, mx, naptr, srv)
- Aliases []string
- Specifies alternate domain names for the WideIP
- Description string
- User-defined description of the WideIP
- Disabled bool
- Disabled state of the WideIP
- Enabled bool
- Enable or disable the WideIP
- Failure
Rcode string - Specifies the DNS RCODE used when failure_rcode_response is enabled (noerror, formerr, servfail, nxdomain, notimp, refused, yxdomain, yxrrset, nxrrset, notauth, notzone)
- Failure
Rcode stringResponse - Specifies whether to return a RCODE response to DNS queries when the WideIP is unavailable (enabled or disabled)
- Failure
Rcode intTtl - Specifies the negative caching TTL of the SOA for the RCODE response
- Last
Resort stringPool - Specifies the last resort pool for the WideIP. Format: /<pool_name> (e.g., 'a /Common/firstpool')
- Load
Balancing []stringDecision Log Verbosities - Specifies the amount of detail logged when making load balancing decisions. Example: ['pool-selection']
- Minimal
Response string - Specifies whether to minimize the response to the DNS query (enabled or disabled)
- Partition string
- Partition in which the WideIP resides
- Persist
Cidr intIpv4 - Specifies the CIDR for IPv4 persistence
- Persist
Cidr intIpv6 - Specifies the CIDR for IPv6 persistence
- Persistence string
- Specifies persistence for the WideIP (disabled or enabled)
- Pool
Lb stringMode - Specifies the load balancing mode for pools in the WideIP (round-robin, ratio, topology, global-availability)
- Topology
Prefer stringEdns0Client Subnet - Specifies whether to prefer EDNS0 client subnet data for topology-based load balancing (enabled or disabled)
- Ttl
Persistence int - Specifies the TTL for the persistence of the WideIP
- name String
- Name of the WideIP. Example: testwideip.local
- type String
- Specifies the type of WideIP (a, aaaa, cname, mx, naptr, srv)
- aliases List<String>
- Specifies alternate domain names for the WideIP
- description String
- User-defined description of the WideIP
- disabled Boolean
- Disabled state of the WideIP
- enabled Boolean
- Enable or disable the WideIP
- failure
Rcode String - Specifies the DNS RCODE used when failure_rcode_response is enabled (noerror, formerr, servfail, nxdomain, notimp, refused, yxdomain, yxrrset, nxrrset, notauth, notzone)
- failure
Rcode StringResponse - Specifies whether to return a RCODE response to DNS queries when the WideIP is unavailable (enabled or disabled)
- failure
Rcode IntegerTtl - Specifies the negative caching TTL of the SOA for the RCODE response
- last
Resort StringPool - Specifies the last resort pool for the WideIP. Format: /<pool_name> (e.g., 'a /Common/firstpool')
- load
Balancing List<String>Decision Log Verbosities - Specifies the amount of detail logged when making load balancing decisions. Example: ['pool-selection']
- minimal
Response String - Specifies whether to minimize the response to the DNS query (enabled or disabled)
- partition String
- Partition in which the WideIP resides
- persist
Cidr IntegerIpv4 - Specifies the CIDR for IPv4 persistence
- persist
Cidr IntegerIpv6 - Specifies the CIDR for IPv6 persistence
- persistence String
- Specifies persistence for the WideIP (disabled or enabled)
- pool
Lb StringMode - Specifies the load balancing mode for pools in the WideIP (round-robin, ratio, topology, global-availability)
- topology
Prefer StringEdns0Client Subnet - Specifies whether to prefer EDNS0 client subnet data for topology-based load balancing (enabled or disabled)
- ttl
Persistence Integer - Specifies the TTL for the persistence of the WideIP
- name string
- Name of the WideIP. Example: testwideip.local
- type string
- Specifies the type of WideIP (a, aaaa, cname, mx, naptr, srv)
- aliases string[]
- Specifies alternate domain names for the WideIP
- description string
- User-defined description of the WideIP
- disabled boolean
- Disabled state of the WideIP
- enabled boolean
- Enable or disable the WideIP
- failure
Rcode string - Specifies the DNS RCODE used when failure_rcode_response is enabled (noerror, formerr, servfail, nxdomain, notimp, refused, yxdomain, yxrrset, nxrrset, notauth, notzone)
- failure
Rcode stringResponse - Specifies whether to return a RCODE response to DNS queries when the WideIP is unavailable (enabled or disabled)
- failure
Rcode numberTtl - Specifies the negative caching TTL of the SOA for the RCODE response
- last
Resort stringPool - Specifies the last resort pool for the WideIP. Format: /<pool_name> (e.g., 'a /Common/firstpool')
- load
Balancing string[]Decision Log Verbosities - Specifies the amount of detail logged when making load balancing decisions. Example: ['pool-selection']
- minimal
Response string - Specifies whether to minimize the response to the DNS query (enabled or disabled)
- partition string
- Partition in which the WideIP resides
- persist
Cidr numberIpv4 - Specifies the CIDR for IPv4 persistence
- persist
Cidr numberIpv6 - Specifies the CIDR for IPv6 persistence
- persistence string
- Specifies persistence for the WideIP (disabled or enabled)
- pool
Lb stringMode - Specifies the load balancing mode for pools in the WideIP (round-robin, ratio, topology, global-availability)
- topology
Prefer stringEdns0Client Subnet - Specifies whether to prefer EDNS0 client subnet data for topology-based load balancing (enabled or disabled)
- ttl
Persistence number - Specifies the TTL for the persistence of the WideIP
- name str
- Name of the WideIP. Example: testwideip.local
- type str
- Specifies the type of WideIP (a, aaaa, cname, mx, naptr, srv)
- aliases Sequence[str]
- Specifies alternate domain names for the WideIP
- description str
- User-defined description of the WideIP
- disabled bool
- Disabled state of the WideIP
- enabled bool
- Enable or disable the WideIP
- failure_
rcode str - Specifies the DNS RCODE used when failure_rcode_response is enabled (noerror, formerr, servfail, nxdomain, notimp, refused, yxdomain, yxrrset, nxrrset, notauth, notzone)
- failure_
rcode_ strresponse - Specifies whether to return a RCODE response to DNS queries when the WideIP is unavailable (enabled or disabled)
- failure_
rcode_ intttl - Specifies the negative caching TTL of the SOA for the RCODE response
- last_
resort_ strpool - Specifies the last resort pool for the WideIP. Format: /<pool_name> (e.g., 'a /Common/firstpool')
- load_
balancing_ Sequence[str]decision_ log_ verbosities - Specifies the amount of detail logged when making load balancing decisions. Example: ['pool-selection']
- minimal_
response str - Specifies whether to minimize the response to the DNS query (enabled or disabled)
- partition str
- Partition in which the WideIP resides
- persist_
cidr_ intipv4 - Specifies the CIDR for IPv4 persistence
- persist_
cidr_ intipv6 - Specifies the CIDR for IPv6 persistence
- persistence str
- Specifies persistence for the WideIP (disabled or enabled)
- pool_
lb_ strmode - Specifies the load balancing mode for pools in the WideIP (round-robin, ratio, topology, global-availability)
- topology_
prefer_ stredns0_ client_ subnet - Specifies whether to prefer EDNS0 client subnet data for topology-based load balancing (enabled or disabled)
- ttl_
persistence int - Specifies the TTL for the persistence of the WideIP
- name String
- Name of the WideIP. Example: testwideip.local
- type String
- Specifies the type of WideIP (a, aaaa, cname, mx, naptr, srv)
- aliases List<String>
- Specifies alternate domain names for the WideIP
- description String
- User-defined description of the WideIP
- disabled Boolean
- Disabled state of the WideIP
- enabled Boolean
- Enable or disable the WideIP
- failure
Rcode String - Specifies the DNS RCODE used when failure_rcode_response is enabled (noerror, formerr, servfail, nxdomain, notimp, refused, yxdomain, yxrrset, nxrrset, notauth, notzone)
- failure
Rcode StringResponse - Specifies whether to return a RCODE response to DNS queries when the WideIP is unavailable (enabled or disabled)
- failure
Rcode NumberTtl - Specifies the negative caching TTL of the SOA for the RCODE response
- last
Resort StringPool - Specifies the last resort pool for the WideIP. Format: /<pool_name> (e.g., 'a /Common/firstpool')
- load
Balancing List<String>Decision Log Verbosities - Specifies the amount of detail logged when making load balancing decisions. Example: ['pool-selection']
- minimal
Response String - Specifies whether to minimize the response to the DNS query (enabled or disabled)
- partition String
- Partition in which the WideIP resides
- persist
Cidr NumberIpv4 - Specifies the CIDR for IPv4 persistence
- persist
Cidr NumberIpv6 - Specifies the CIDR for IPv6 persistence
- persistence String
- Specifies persistence for the WideIP (disabled or enabled)
- pool
Lb StringMode - Specifies the load balancing mode for pools in the WideIP (round-robin, ratio, topology, global-availability)
- topology
Prefer StringEdns0Client Subnet - Specifies whether to prefer EDNS0 client subnet data for topology-based load balancing (enabled or disabled)
- ttl
Persistence Number - Specifies the TTL for the persistence of the WideIP
Outputs
All input properties are implicitly available as output properties. Additionally, the GtmWideip resource produces the following output properties:
- Id string
- The provider-assigned unique ID for this managed resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id str
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
Look up Existing GtmWideip Resource
Get an existing GtmWideip resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: GtmWideipState, opts?: CustomResourceOptions): GtmWideip@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
aliases: Optional[Sequence[str]] = None,
description: Optional[str] = None,
disabled: Optional[bool] = None,
enabled: Optional[bool] = None,
failure_rcode: Optional[str] = None,
failure_rcode_response: Optional[str] = None,
failure_rcode_ttl: Optional[int] = None,
last_resort_pool: Optional[str] = None,
load_balancing_decision_log_verbosities: Optional[Sequence[str]] = None,
minimal_response: Optional[str] = None,
name: Optional[str] = None,
partition: Optional[str] = None,
persist_cidr_ipv4: Optional[int] = None,
persist_cidr_ipv6: Optional[int] = None,
persistence: Optional[str] = None,
pool_lb_mode: Optional[str] = None,
topology_prefer_edns0_client_subnet: Optional[str] = None,
ttl_persistence: Optional[int] = None,
type: Optional[str] = None) -> GtmWideipfunc GetGtmWideip(ctx *Context, name string, id IDInput, state *GtmWideipState, opts ...ResourceOption) (*GtmWideip, error)public static GtmWideip Get(string name, Input<string> id, GtmWideipState? state, CustomResourceOptions? opts = null)public static GtmWideip get(String name, Output<String> id, GtmWideipState state, CustomResourceOptions options)resources: _: type: f5bigip:GtmWideip get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Aliases List<string>
- Specifies alternate domain names for the WideIP
- Description string
- User-defined description of the WideIP
- Disabled bool
- Disabled state of the WideIP
- Enabled bool
- Enable or disable the WideIP
- Failure
Rcode string - Specifies the DNS RCODE used when failure_rcode_response is enabled (noerror, formerr, servfail, nxdomain, notimp, refused, yxdomain, yxrrset, nxrrset, notauth, notzone)
- Failure
Rcode stringResponse - Specifies whether to return a RCODE response to DNS queries when the WideIP is unavailable (enabled or disabled)
- Failure
Rcode intTtl - Specifies the negative caching TTL of the SOA for the RCODE response
- Last
Resort stringPool - Specifies the last resort pool for the WideIP. Format: /<pool_name> (e.g., 'a /Common/firstpool')
- Load
Balancing List<string>Decision Log Verbosities - Specifies the amount of detail logged when making load balancing decisions. Example: ['pool-selection']
- Minimal
Response string - Specifies whether to minimize the response to the DNS query (enabled or disabled)
- Name string
- Name of the WideIP. Example: testwideip.local
- Partition string
- Partition in which the WideIP resides
- Persist
Cidr intIpv4 - Specifies the CIDR for IPv4 persistence
- Persist
Cidr intIpv6 - Specifies the CIDR for IPv6 persistence
- Persistence string
- Specifies persistence for the WideIP (disabled or enabled)
- Pool
Lb stringMode - Specifies the load balancing mode for pools in the WideIP (round-robin, ratio, topology, global-availability)
- Topology
Prefer stringEdns0Client Subnet - Specifies whether to prefer EDNS0 client subnet data for topology-based load balancing (enabled or disabled)
- Ttl
Persistence int - Specifies the TTL for the persistence of the WideIP
- Type string
- Specifies the type of WideIP (a, aaaa, cname, mx, naptr, srv)
- Aliases []string
- Specifies alternate domain names for the WideIP
- Description string
- User-defined description of the WideIP
- Disabled bool
- Disabled state of the WideIP
- Enabled bool
- Enable or disable the WideIP
- Failure
Rcode string - Specifies the DNS RCODE used when failure_rcode_response is enabled (noerror, formerr, servfail, nxdomain, notimp, refused, yxdomain, yxrrset, nxrrset, notauth, notzone)
- Failure
Rcode stringResponse - Specifies whether to return a RCODE response to DNS queries when the WideIP is unavailable (enabled or disabled)
- Failure
Rcode intTtl - Specifies the negative caching TTL of the SOA for the RCODE response
- Last
Resort stringPool - Specifies the last resort pool for the WideIP. Format: /<pool_name> (e.g., 'a /Common/firstpool')
- Load
Balancing []stringDecision Log Verbosities - Specifies the amount of detail logged when making load balancing decisions. Example: ['pool-selection']
- Minimal
Response string - Specifies whether to minimize the response to the DNS query (enabled or disabled)
- Name string
- Name of the WideIP. Example: testwideip.local
- Partition string
- Partition in which the WideIP resides
- Persist
Cidr intIpv4 - Specifies the CIDR for IPv4 persistence
- Persist
Cidr intIpv6 - Specifies the CIDR for IPv6 persistence
- Persistence string
- Specifies persistence for the WideIP (disabled or enabled)
- Pool
Lb stringMode - Specifies the load balancing mode for pools in the WideIP (round-robin, ratio, topology, global-availability)
- Topology
Prefer stringEdns0Client Subnet - Specifies whether to prefer EDNS0 client subnet data for topology-based load balancing (enabled or disabled)
- Ttl
Persistence int - Specifies the TTL for the persistence of the WideIP
- Type string
- Specifies the type of WideIP (a, aaaa, cname, mx, naptr, srv)
- aliases List<String>
- Specifies alternate domain names for the WideIP
- description String
- User-defined description of the WideIP
- disabled Boolean
- Disabled state of the WideIP
- enabled Boolean
- Enable or disable the WideIP
- failure
Rcode String - Specifies the DNS RCODE used when failure_rcode_response is enabled (noerror, formerr, servfail, nxdomain, notimp, refused, yxdomain, yxrrset, nxrrset, notauth, notzone)
- failure
Rcode StringResponse - Specifies whether to return a RCODE response to DNS queries when the WideIP is unavailable (enabled or disabled)
- failure
Rcode IntegerTtl - Specifies the negative caching TTL of the SOA for the RCODE response
- last
Resort StringPool - Specifies the last resort pool for the WideIP. Format: /<pool_name> (e.g., 'a /Common/firstpool')
- load
Balancing List<String>Decision Log Verbosities - Specifies the amount of detail logged when making load balancing decisions. Example: ['pool-selection']
- minimal
Response String - Specifies whether to minimize the response to the DNS query (enabled or disabled)
- name String
- Name of the WideIP. Example: testwideip.local
- partition String
- Partition in which the WideIP resides
- persist
Cidr IntegerIpv4 - Specifies the CIDR for IPv4 persistence
- persist
Cidr IntegerIpv6 - Specifies the CIDR for IPv6 persistence
- persistence String
- Specifies persistence for the WideIP (disabled or enabled)
- pool
Lb StringMode - Specifies the load balancing mode for pools in the WideIP (round-robin, ratio, topology, global-availability)
- topology
Prefer StringEdns0Client Subnet - Specifies whether to prefer EDNS0 client subnet data for topology-based load balancing (enabled or disabled)
- ttl
Persistence Integer - Specifies the TTL for the persistence of the WideIP
- type String
- Specifies the type of WideIP (a, aaaa, cname, mx, naptr, srv)
- aliases string[]
- Specifies alternate domain names for the WideIP
- description string
- User-defined description of the WideIP
- disabled boolean
- Disabled state of the WideIP
- enabled boolean
- Enable or disable the WideIP
- failure
Rcode string - Specifies the DNS RCODE used when failure_rcode_response is enabled (noerror, formerr, servfail, nxdomain, notimp, refused, yxdomain, yxrrset, nxrrset, notauth, notzone)
- failure
Rcode stringResponse - Specifies whether to return a RCODE response to DNS queries when the WideIP is unavailable (enabled or disabled)
- failure
Rcode numberTtl - Specifies the negative caching TTL of the SOA for the RCODE response
- last
Resort stringPool - Specifies the last resort pool for the WideIP. Format: /<pool_name> (e.g., 'a /Common/firstpool')
- load
Balancing string[]Decision Log Verbosities - Specifies the amount of detail logged when making load balancing decisions. Example: ['pool-selection']
- minimal
Response string - Specifies whether to minimize the response to the DNS query (enabled or disabled)
- name string
- Name of the WideIP. Example: testwideip.local
- partition string
- Partition in which the WideIP resides
- persist
Cidr numberIpv4 - Specifies the CIDR for IPv4 persistence
- persist
Cidr numberIpv6 - Specifies the CIDR for IPv6 persistence
- persistence string
- Specifies persistence for the WideIP (disabled or enabled)
- pool
Lb stringMode - Specifies the load balancing mode for pools in the WideIP (round-robin, ratio, topology, global-availability)
- topology
Prefer stringEdns0Client Subnet - Specifies whether to prefer EDNS0 client subnet data for topology-based load balancing (enabled or disabled)
- ttl
Persistence number - Specifies the TTL for the persistence of the WideIP
- type string
- Specifies the type of WideIP (a, aaaa, cname, mx, naptr, srv)
- aliases Sequence[str]
- Specifies alternate domain names for the WideIP
- description str
- User-defined description of the WideIP
- disabled bool
- Disabled state of the WideIP
- enabled bool
- Enable or disable the WideIP
- failure_
rcode str - Specifies the DNS RCODE used when failure_rcode_response is enabled (noerror, formerr, servfail, nxdomain, notimp, refused, yxdomain, yxrrset, nxrrset, notauth, notzone)
- failure_
rcode_ strresponse - Specifies whether to return a RCODE response to DNS queries when the WideIP is unavailable (enabled or disabled)
- failure_
rcode_ intttl - Specifies the negative caching TTL of the SOA for the RCODE response
- last_
resort_ strpool - Specifies the last resort pool for the WideIP. Format: /<pool_name> (e.g., 'a /Common/firstpool')
- load_
balancing_ Sequence[str]decision_ log_ verbosities - Specifies the amount of detail logged when making load balancing decisions. Example: ['pool-selection']
- minimal_
response str - Specifies whether to minimize the response to the DNS query (enabled or disabled)
- name str
- Name of the WideIP. Example: testwideip.local
- partition str
- Partition in which the WideIP resides
- persist_
cidr_ intipv4 - Specifies the CIDR for IPv4 persistence
- persist_
cidr_ intipv6 - Specifies the CIDR for IPv6 persistence
- persistence str
- Specifies persistence for the WideIP (disabled or enabled)
- pool_
lb_ strmode - Specifies the load balancing mode for pools in the WideIP (round-robin, ratio, topology, global-availability)
- topology_
prefer_ stredns0_ client_ subnet - Specifies whether to prefer EDNS0 client subnet data for topology-based load balancing (enabled or disabled)
- ttl_
persistence int - Specifies the TTL for the persistence of the WideIP
- type str
- Specifies the type of WideIP (a, aaaa, cname, mx, naptr, srv)
- aliases List<String>
- Specifies alternate domain names for the WideIP
- description String
- User-defined description of the WideIP
- disabled Boolean
- Disabled state of the WideIP
- enabled Boolean
- Enable or disable the WideIP
- failure
Rcode String - Specifies the DNS RCODE used when failure_rcode_response is enabled (noerror, formerr, servfail, nxdomain, notimp, refused, yxdomain, yxrrset, nxrrset, notauth, notzone)
- failure
Rcode StringResponse - Specifies whether to return a RCODE response to DNS queries when the WideIP is unavailable (enabled or disabled)
- failure
Rcode NumberTtl - Specifies the negative caching TTL of the SOA for the RCODE response
- last
Resort StringPool - Specifies the last resort pool for the WideIP. Format: /<pool_name> (e.g., 'a /Common/firstpool')
- load
Balancing List<String>Decision Log Verbosities - Specifies the amount of detail logged when making load balancing decisions. Example: ['pool-selection']
- minimal
Response String - Specifies whether to minimize the response to the DNS query (enabled or disabled)
- name String
- Name of the WideIP. Example: testwideip.local
- partition String
- Partition in which the WideIP resides
- persist
Cidr NumberIpv4 - Specifies the CIDR for IPv4 persistence
- persist
Cidr NumberIpv6 - Specifies the CIDR for IPv6 persistence
- persistence String
- Specifies persistence for the WideIP (disabled or enabled)
- pool
Lb StringMode - Specifies the load balancing mode for pools in the WideIP (round-robin, ratio, topology, global-availability)
- topology
Prefer StringEdns0Client Subnet - Specifies whether to prefer EDNS0 client subnet data for topology-based load balancing (enabled or disabled)
- ttl
Persistence Number - Specifies the TTL for the persistence of the WideIP
- type String
- Specifies the type of WideIP (a, aaaa, cname, mx, naptr, srv)
Import
GTM WideIP resources can be imported using the format type:/partition/name. For example:
$ pulumi import f5bigip:index/gtmWideip:GtmWideip example a:/Common/testwideip.local
Additional import examples:
Import an IPv6 WideIP
$ pulumi import f5bigip:index/gtmWideip:GtmWideip ipv6_example aaaa:/Common/ipv6.example.com
Import a CNAME WideIP
$ pulumi import f5bigip:index/gtmWideip:GtmWideip cname_example cname:/Common/alias.example.com
Import from a non-Common partition
$ pulumi import f5bigip:index/gtmWideip:GtmWideip prod_example a:/Production/app.example.com
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- f5 BIG-IP pulumi/pulumi-f5bigip
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
bigipTerraform Provider.
published on Wednesday, Mar 4, 2026 by Pulumi
